QGIS Application - Bug report #14873
attribute table sorting fails on column named "YEAR"
2016-05-23 07:22 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22826
Description

The attribute table sorting fails when clicking on a column named "YEAR". The same dataset with a renamed column, for e.g. "NOYEAR",
will successfully sort the table.
Steps to reproduce

1. Create a new project, add the following dataset (
http://www.licadho-cambodia.org/land_concessions/data/licadho-land-concessions-2015.zip)

2. Open the attribute table

3. To test that sorting is working, click on the NAME column

4. Now click on the YEAR column, and notice the absence of sorting :)

Associated revisions

Revision 38e9435d - 2016-06-02 09:03 AM - Mathieu Pellerin - nIRV

[attributetable] add quotes to column name when sorting (fixes #14873)

Revision 1b905¢81 - 2016-06-02 09:12 AM - Matthias Kuhn

Merge pull request #3165 from nirvn/fix_attributetable_sort

[attributetable] add quotes to column name when sorting (fixes #14873)

History

#1 - 2016-05-24 04:02 AM - Giovanni Manghi

reserved word?

#2 - 2016-05-28 02:46 AM - manelclos -

Works for me using "steps to reproduce”.

#3 - 2016-06-02 12:12 AM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"1b905¢c814d443742cf0063cd88d5980533511522".
